<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: connection   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>connection&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_connection.html">connection</a>
                
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">

                   
                    <h3>Module: connection
                    


                    </h3>
                    <div class="description summary">
                        The Connection Manager provides a simplified interface to the XMLHttpRequest
object.  It handles cross-browser instantiantion of XMLHttpRequest, negotiates the
interactive states and server response, returning the results to a pre-defined
callback you create.
                    </div>

                    <form onsubmit="return false">
                        <p>Search connection:
                        <div id="propertysearch">
                            <input autocomplete="off" id="searchinput" />
                            <div id="searchresults">
                                &nbsp;
                            </div>
                        </div>
                    </form>
                    <script type="text/javascript">
                        ALL_YUI_PROPS = [{"url": "YAHOO.util.Connect.html#abort", "host": "YAHOO.util.Connect", "name": "abort"}, {"url": "YAHOO.util.Connect.html#appendPostData", "host": "YAHOO.util.Connect", "name": "appendPostData"}, {"url": "YAHOO.util.Connect.html#asyncRequest", "host": "YAHOO.util.Connect", "name": "asyncRequest"}, {"url": "YAHOO.util.Connect.html#createExceptionObject", "host": "YAHOO.util.Connect", "name": "createExceptionObject"}, {"url": "YAHOO.util.Connect.html#createFrame", "host": "YAHOO.util.Connect", "name": "createFrame"}, {"url": "YAHOO.util.Connect.html#createResponseObject", "host": "YAHOO.util.Connect", "name": "createResponseObject"}, {"url": "YAHOO.util.Connect.html#createXhrObject", "host": "YAHOO.util.Connect", "name": "createXhrObject"}, {"url": "YAHOO.util.Connect.html#_default_post_header", "host": "YAHOO.util.Connect", "name": "_default_post_header"}, {"url": "YAHOO.util.Connect.html#_default_xhr_header", "host": "YAHOO.util.Connect", "name": "_default_xhr_header"}, {"url": "YAHOO.util.Connect.html#_formNode", "host": "YAHOO.util.Connect", "name": "_formNode"}, {"url": "YAHOO.util.Connect.html#getConnectionObject", "host": "YAHOO.util.Connect", "name": "getConnectionObject"}, {"url": "YAHOO.util.Connect.html#handleReadyState", "host": "YAHOO.util.Connect", "name": "handleReadyState"}, {"url": "YAHOO.util.Connect.html#handleTransactionResponse", "host": "YAHOO.util.Connect", "name": "handleTransactionResponse"}, {"url": "YAHOO.util.Connect.html#_has_default_header", "host": "YAHOO.util.Connect", "name": "_has_default_header"}, {"url": "YAHOO.util.Connect.html#_has_http_headers", "host": "YAHOO.util.Connect", "name": "_has_http_headers"}, {"url": "YAHOO.util.Connect.html#_http_header", "host": "YAHOO.util.Connect", "name": "_http_header"}, {"url": "YAHOO.util.Connect.html#initHeader", "host": "YAHOO.util.Connect", "name": "initHeader"}, {"url": "YAHOO.util.Connect.html#isCallInProgress", "host": "YAHOO.util.Connect", "name": "isCallInProgress"}, {"url": "YAHOO.util.Connect.html#_isFileUpload", "host": "YAHOO.util.Connect", "name": "_isFileUpload"}, {"url": "YAHOO.util.Connect.html#_isFormSubmit", "host": "YAHOO.util.Connect", "name": "_isFormSubmit"}, {"url": "YAHOO.util.Connect.html#_msxml_progid", "host": "YAHOO.util.Connect", "name": "_msxml_progid"}, {"url": "YAHOO.util.Connect.html#_poll", "host": "YAHOO.util.Connect", "name": "_poll"}, {"url": "YAHOO.util.Connect.html#_polling_interval", "host": "YAHOO.util.Connect", "name": "_polling_interval"}, {"url": "YAHOO.util.Connect.html#releaseObject", "host": "YAHOO.util.Connect", "name": "releaseObject"}, {"url": "YAHOO.util.Connect.html#resetDefaultHeaders", "host": "YAHOO.util.Connect", "name": "resetDefaultHeaders"}, {"url": "YAHOO.util.Connect.html#resetFormState", "host": "YAHOO.util.Connect", "name": "resetFormState"}, {"url": "YAHOO.util.Connect.html#setDefaultPostHeader", "host": "YAHOO.util.Connect", "name": "setDefaultPostHeader"}, {"url": "YAHOO.util.Connect.html#setDefaultXhrHeader", "host": "YAHOO.util.Connect", "name": "setDefaultXhrHeader"}, {"url": "YAHOO.util.Connect.html#setForm", "host": "YAHOO.util.Connect", "name": "setForm"}, {"url": "YAHOO.util.Connect.html#setHeader", "host": "YAHOO.util.Connect", "name": "setHeader"}, {"url": "YAHOO.util.Connect.html#setPollingInterval", "host": "YAHOO.util.Connect", "name": "setPollingInterval"}, {"url": "YAHOO.util.Connect.html#setProgId", "host": "YAHOO.util.Connect", "name": "setProgId"}, {"url": "YAHOO.util.Connect.html#_sFormData", "host": "YAHOO.util.Connect", "name": "_sFormData"}, {"url": "YAHOO.util.Connect.html#_timeOut", "host": "YAHOO.util.Connect", "name": "_timeOut"}, {"url": "YAHOO.util.Connect.html#_transaction_id", "host": "YAHOO.util.Connect", "name": "_transaction_id"}, {"url": "YAHOO.util.Connect.html#uploadFile", "host": "YAHOO.util.Connect", "name": "uploadFile"}, {"url": "YAHOO.util.Connect.html#_use_default_post_header", "host": "YAHOO.util.Connect", "name": "_use_default_post_header"}, {"url": "YAHOO.util.Connect.html#_use_default_xhr_header", "host": "YAHOO.util.Connect", "name": "_use_default_xhr_header"}];
                    </script>

                    <script type="text/javascript" src="assets/api-js"></script>
                    <script type="text/javascript" src="assets/ac-js"></script>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class="selected"><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.util.Connect.html">YAHOO.util.Connect</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="connection.js.html">connection.js</a></li>
                        </ul>
                    </div>





            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
